EDIT - bug #9318

TaxonNameEditor: nomenclatural reference no longer selectable
11/24/2020 04:49 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.18

Severity: critical Found in Version:

Description

after the changes that turn the nomenclatural reference into a DescriptionElementSource (#9225, #6581) the nomenclatural
reference is no longer selectable in the TaxonNameEditor

Steps to reproduce:

1. Open the name editor (e.g for a new name)
2. add a basionym
3. try to select the nom ref.

--> the selection always is make empty since and a validation exception is thrown "This field is required ...

Related issues:
Related to EDIT - feature request #9225: Make TaxonName.nomenclaturalSource a... Closed

Related to EDIT - feature request #6581: Make all microreferenced references ... Closed

Associated revisions

Revision c1c4b55f - 11/24/2020 05:17 PM - Andreas Kohlbecker

ref #9318 fixing problem with NomenclaturalSource selection in TaxonNameEditor

History

#1 - 11/24/2020 04:49 PM - Andreas Kohlbecker

- Related to feature request #9225: Make TaxonName.nomenclaturalSource a new DescriptionElementSource subclass added

#2 - 11/24/2020 04:49 PM - Andreas Kohlbecker

- Related to feature request #6581: Make all microreferenced references OriginalSources added

#3 - 11/24/2020 05:10 PM - Andreas Kohlbecker

- Description updated

this is actually a bug introduced with #9229 - implementation was incomplete.

#4 - 11/24/2020 05:13 PM - Andreas Kohlbecker
- Status changed from New to Duplicate

- Target version deleted (Release 5.18)

#5 - 11/24/2020 05:13 PM - Andreas Kohlbecker

- Is duplicate of feature request #9229: TaxonNameEditor: use NomenclaturalStatusDTO to avoid data loading probems within setters in TaxonName
added

#6 - 11/24/2020 05:16 PM - Andreas Kohlbecker
- Is duplicate of deleted (feature request #9229: TaxonNameEditor: use NomenclaturalStatusDTO to avoid data loading probems within setters in

TaxonName)

#7 - 11/24/2020 05:17 PM - Andreas Kohlbecker

- Status changed from Duplicate to In Progress
- Target version set to Release 5.18

#8 - 11/24/2020 05:18 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 0 to 50

this should be fixed now, can you please review?

#9 - 11/24/2020 10:12 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Reference selectable for basionym, replaced synonym, and validation. The ticket can be closed.

#10 - 11/30/2020 01:09 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed
